- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

CLVertexBuffer Member List

This is the complete list of members for CLVertexBuffer, including all inherited members.

allocate(cl_context clContext) | CLVertexBuffer | protected
BindCLBuffer(cl_command_queue queue) | CLVertexBuffer |
CLVertexBuffer(int numElements, int numVertices, cl_context clContext) | CLVertexBuffer | protected
Create(int numElements, int numVertices, cl_context clContext) | CLVertexBuffer | static
Create(int numElements, int numVertices, DEVICE_CONTEXT context) | CLVertexBuffer | inline static
GetNumElements() const | CLVertexBuffer |
GetNumVertices() const | CLVertexBuffer |
UpdateData(const float *src, int startVertex, int numVertices, cl_command_queue clQueue) | CLVertexBuffer |
UpdateData(const float *src, int startVertex, int numVertices, DEVICE_CONTEXT context) | CLVertexBuffer | inline
~CLVertexBuffer() | CLVertexBuffer |